/**
 * Klasse FirstThread. FirstThread ist vom Package GrafischeOberflaeche.
 * das Package Steuerung wird importiert, da hier praktisch der Uebergang
 * von der grafischen Oberflaeche zur Steuerung geschieht. Die TextArea
 * wird ebenfalls importiert, da das Objekt weitergegeben wird, um auf
 * die TextArea schreiben zu koennen.
 * @author Alexander Schneider, Christian Ongyert, Tobias Kieninger
*/

package GrafischeOberflaeche;

import Steuerung.*;
import java.awt.TextArea;

class FirstThread extends Thread
{
  /**
   * TextAusgabe vom Typ TextArea wird bekannt gemacht.
  */

  private TextArea TextAusgabe;
  private Steuerung Start;

  public FirstThread(Steuerung _Start)
  {
    Start = _Start;
  }

  /**
   * Hier wird die TextArea uebergeben.
  */

  void setTextAusgabe(TextArea _TextAusgabe)
  {
    TextAusgabe = _TextAusgabe;
  }

  /**
   * Das ist die run-Methode von Thread. Ein Objekt der Klasse Steuerung
   * wird angelegt und die TextAusgabe wird uebergeben. Dann wird die
   * Fertigung initialisiert und schliesslich gestartet.
  */

  public void run()
  {
    Start.starteFertigung();
  }
}
